Delen via


Namespaces - Get Network Rule Set

Hiermee haalt u NetworkRuleSet op voor een naamruimte.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Relay/namespaces/{namespaceName}/networkRuleSets/default?api-version=2024-01-01

URI-parameters

Name In Vereist Type Description
namespaceName
path True

string

minLength: 6
maxLength: 50

De naamruimtenaam

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

NetworkRuleSet

Azure-bewerking is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

NameSpaceNetworkRuleSetGet

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/Subscription/resourceGroups/ResourceGroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-6019/networkRuleSets/default?api-version=2024-01-01

Voorbeeldrespons

{
  "name": "default",
  "type": "Microsoft.Relay/Namespaces/NetworkRuleSet",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroupid/providers/Microsoft.Relay/namespaces/example-RelayNamespace-9659/networkruleset/default",
  "properties": {
    "defaultAction": "Deny",
    "ipRules": [
      {
        "action": "Allow",
        "ipMask": "1.1.1.1"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.2"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.3"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.4"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.5"
      }
    ],
    "trustedServiceAccessEnabled": false
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

DefaultAction

Standaardactie voor netwerkregelset

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

NetworkRuleIPAction

De IP-filteractie

NetworkRuleSet

Beschrijving van onderwerpresource.

NWRuleSetIpRules

Het antwoord van de bewerking Lijstnaamruimte.

PublicNetworkAccess

Hiermee wordt bepaald of verkeer via een openbaar netwerk is toegestaan. Deze functie is standaard ingeschakeld.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DefaultAction

Standaardactie voor netwerkregelset

Waarde Description
Allow
Deny

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

NetworkRuleIPAction

De IP-filteractie

Waarde Description
Allow

NetworkRuleSet

Beschrijving van onderwerpresource.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.defaultAction

DefaultAction

Standaardactie voor netwerkregelset

properties.ipRules

NWRuleSetIpRules[]

Lijst met IpRules

properties.publicNetworkAccess

PublicNetworkAccess

Hiermee wordt bepaald of verkeer via een openbaar netwerk is toegestaan. Deze functie is standaard ingeschakeld

properties.trustedServiceAccessEnabled

boolean

Waarde die aangeeft of Vertrouwde servicetoegang is ingeschakeld of niet.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

NWRuleSetIpRules

Het antwoord van de bewerking Lijstnaamruimte.

Name Type Description
action

NetworkRuleIPAction

De IP-filteractie

ipMask

string

IP-masker

PublicNetworkAccess

Hiermee wordt bepaald of verkeer via een openbaar netwerk is toegestaan. Deze functie is standaard ingeschakeld.

Waarde Description
Enabled
Disabled
SecuredByPerimeter

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.